Name:           mojito
Version:        0.21.7
Release:        5%{?dist}
Epoch:          1
Summary:        A social network data aggregator

Group:          Applications/Internet
License:        LGPLv2.1
URL:            http://moblin.org/projects/mojito
Source0:        http://download.moblin.org/sources/mojito/0.21/%{name}-%{version}.tar.bz2
Patch0:         mojito-fixNMdetect.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libsoup-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: rest-devel
BuildRequires: intltool

# Require this due to the NM-0.8 patch
BuildRequires: autoconf

%description
Mojito is a social data server which will fetch data from the "social web", 
such as your friend's blog posts and photos, upcoming events, recently played 
tracks, and pending eBay* auctions. It also provides a service to update 
your status on web services which support it, such as MySpace* and Twitter*.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .fixNMdetect
chmod 644 examples/*.py 

autoreconf

%build
%configure --with-gnome --with-online=networkmanager --disable-static \
   --enable-twitter-key=4PEfS48BDCWSHSb1s84ebQ:HqJIWVVJwXNIMaNPuxkYw6wVTL2paNdWkvOg3mXxE \
   --enable-lastfm-key=b70f696913487a44ea13038e926a096a \
   --enable-myspace-key=f06906e7522f46f2a08a03e11ef66496:45ee30d3b29c47ffbb65b59bd84d1848bfa93c968b7d487cae68a6790e96c6ef \
   --enable-flickr-key=d7953dc63a9498433bfdb4287ee2694b:2bd799133e3a2c7f \
   --enable-digg-key=http://services.digg.com/user/sbwms?appkey=http%3A%2F%2Fwww.fedoraproject.org%2Fapplication

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives and static libs.
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_libdir}/libmojito.so.0
%{_libdir}/libmojito.so.0.0.0
%{_libdir}/libmojito-keyfob.so.0
%{_libdir}/libmojito-keyfob.so.0.0.0
%{_libdir}/libmojito-keystore.so.0
%{_libdir}/libmojito-keystore.so.0.0.0
%{_libdir}/libmojito-client.so.1
%{_libdir}/libmojito-client.so.1.0.0
%dir %{_libdir}/mojito
%{_libdir}/mojito/services
%{_datadir}/dbus-1/services/mojito.service
%{_datadir}/mojito
%{_libexecdir}/mojito-core

%files devel
%defattr(-,root,root,-)
%doc tests/*.c examples/*c examples/*.py
%{_includedir}/mojito
%{_libdir}/pkgconfig/mojito*
%{_libdir}/libmojito.so
%{_libdir}/libmojito-client.so
%{_libdir}/libmojito-keyfob.so
%{_libdir}/libmojito-keystore.so

%changelog
* Tue Aug 17 2010 Peter Robinson <pbrobinson@gmail.com> 0.21.7-5
- Bump build

* Mon May 10 2010 Jesse Keating <jkeating@redhat.com> - 0.21.7-4
- Fix epoch in -devel requires

* Sun May  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.21.7-3
- Add the source file

* Sun May  9 2010 Peter Robinson <pbrobinson@gmail.com> 0.21.7-2
- Revert to 0.21.7

* Wed Dec  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.7-1
- Update to 0.21.7

* Thu Nov 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.6-1
- Update to 0.21.6, move to the official tarball release

* Mon Oct 26 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.5-1
- Update to 0.21.5

* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.4-2
- enable digg support

* Wed Oct 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.4-1
- Update to 0.21.4

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.3-1
- Update to 0.21.3

* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.2-1
- Update to 0.21.2

* Tue Sep 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.21.1-1
- Update to 0.21.1

* Thu Sep  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.20.1-1
- Update to 0.20.1

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-5
- Actually commit patch for detection of new NetworkManager

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-4
- Add patch for detection of new NetworkManager

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-3
- Rebuild for new NetworkManager

* Sat Aug 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-2
- Enable twitter, lastfm, MySpace and Flickr networks

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.20-1
- Update to 0.20

* Wed Aug  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.19.2-2
- A few minor spec file cleanups

* Wed Aug  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.19.2-1
- Update to 0.19.2 - updated translations

* Tue Jul 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.19.1-1
- Update to 0.19.1 - updated translations

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.19-1
- Update to 0.19

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.18.1-1
- Update to 0.18.1

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-3
- Add some additional buildreqs

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-2
- Add some additional buildreqs

* Mon Jul  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.17-1
- Update to new 0.17 release, add language support and more backends

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.3-2
- Add extra build deps

* Wed Jun 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.10.3-1
- Initial packaging
